<?php require_once('Connections/cn.php'); ?>
<?php session_start();
if (!isset($_SESSION['MM_Username'])) {
     header ("Location: modulos/inicio/index.php");
   }
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$username=$_SESSION['MM_Username'];
$tipo_usuario=$_SESSION['PRIVILEGIO']; 

// Captura la cédula del docente a quien se le cargará la información.
$cedula_docente=$_GET["cedula_docente"];

if(empty($cedula_docente)){
   $cedula_docente=$cedula_usuario;
}   
  
mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sqlx = "SELECT id_docente,cedula,apellidos, nombres FROM docentes where cedula='$cedula_docente'";
$rsx = mysql_query($sqlx, $cn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$id_docente= $rowx['id_docente'];
$cedula= $rowx['cedula'];
$apellidos= $rowx['apellidos'];
$nombres= $rowx['nombres'];
	  
	  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>enaph_siace -- carga_familiar</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Carga Familiar</h2></tr></table>
<table  class="bd" width="100%"><tr><td>(Personas que dependen económicamente)</td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td class="bd1"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $apellidos ?>,&nbsp;<?php echo $nombres ?></td></tr>
</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 100;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $cedula;
  global $apellidos;
  global $nombres;
  global $id_docente;
  global $cedula_docente;
  global $conn;

  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>

<hr size="1" noshade>

<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr">Ver</td>
<td class="hr">Editar</td>
<td class="hr">Borrar</td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Cédula") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "parentesco" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Parentesco") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "genero" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Género") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "fecha_nac" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Fecha Nacimiento") ?></a></td>
<td class="hr"><a class="hr" href="carga_familiar.php?order=<?php echo "edad" ?>&type=<?php echo $ordtypestr ?>&cedula=<?php echo "cedula_docente" ?>"><?php echo htmlspecialchars("Edad") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	
  	$edad=edad($row["fecha_nac"]);

?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="carga_familiar.php?a=view&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente ?>"><img src="imagenes/search.gif" border="0"> </a></td>
<td class="<?php echo $style ?>" align="center"><a href="carga_familiar.php?a=edit&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="carga_familiar.php?a=del&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["parentesco"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["genero"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars(join ("-",(array_reverse(explode("-",$row["fecha_nac"]))))) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo $edad ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
  
   $edad=edad($row["fecha_nac"]);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parentesco")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["parentesco"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Género")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["genero"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["fecha_nac"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Edad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($edad) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
   $fecha_nac=join ("-",(array_reverse(explode("-",$row["fecha_nac"]))));
   $edad=edad($row["fecha_nac"]);
  
?>
<script language='javascript' src="calendario/popcalendar.js"></script> 
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><input name="cedula" type="text" onKeyPress="return soloNum(event)"  value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10" maxlength="10"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="apellidos" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="nombres" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parentesco")."&nbsp;" ?></td>
<td class="dr">
<select name="parentesco">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["parentesco"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["parentesco"])) ?></option>
  <option value="CONYUGE">CONYUGE</option>
  <option value="CONYUGE">CONYUGE</option>
  <option value="HIJO(A)">HIJO(A)</option>
  <option value="NIETO(A)">NIETO(A)</option>
  <option value="PADRE">PADRE</option>
  <option value="MADRE">MADRE</option>
  <option value="HERMANO(A)">HERMANO(A)</option>
  <option value="SOBRINO(A)">SOBRINO(A)</option
></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Género")."&nbsp;" ?></td>
<td class="dr"><select name="genero">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["genero"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["genero"])) ?></option>
  <option value="MASCULINO">MASCULINO</option>
  <option value="FEMENINO">FEMENINO</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr">

<input name="fecha_nac" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)" value="<?php echo str_replace('"', '&quot;', trim(join ("-",(array_reverse(explode("-",$row["fecha_nac"])))))) ?>">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Edad")."&nbsp;" ?></td>
<td class="dr"><input name="edad" type="text" disabled="disabled" value="<?php echo $edad ?>" size="2" maxlength="2"></td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;

?>
<script language='javascript' src="calendario/popcalendar.js"></script> 
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="70%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><input name="cedula" type="text" onKeyPress="return soloNum(event)" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10"  maxlength="10"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="apellidos" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="50" maxlength="50" ></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="nombres" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parentesco")."&nbsp;" ?></td>
<td class="dr"><select name="parentesco">
  <option value="0">Seleccione...</option>
  <option value="CONYUGE">CONYUGE</option>
  <option value="HIJO(A)">HIJO(A)</option>
  <option value="NIETO(A)">NIETO(A)</option>
  <option value="PADRE">PADRE</option>
  <option value="MADRE">MADRE</option>
  <option value="HERMANO(A)">HERMANO(A)</option>
  <option value="SOBRINO(A)">SOBRINO(A)</option
></select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Género")."&nbsp;" ?></td>
<td class="dr"><select name="genero">
  <option value="0">Seleccione...</option>
  <option value="MASCULINO">MASCULINO</option>
  <option value="FEMENINO">FEMENINO</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr">
<input name="fecha_nac" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)" value="<?php echo str_replace('"', '&quot;', trim(join ("-",(array_reverse(explode("-",$row["fecha_nac"])))))) ?>">&nbsp;&nbsp;(dd-mm-aaaa) 
</tr>
</table>
<?php } ?>

<?php function showpagenav($page, $pagecount)
{
global $cedula_docente;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carga_familiar.php?a=add&cedula_docente=<?php echo $cedula_docente; ?>">Agregar </a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="carga_familiar.php?page=<?php echo $page - 1 ?>&cedula_docente=<?php echo $cedula_docente; ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="carga_familiar.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="carga_familiar.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="carga_familiar.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
global $cedula_docente;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carga_familiar.php?cedula_docente=<?php echo $cedula_docente ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="carga_familiar.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&cedula_docente=<?php echo $cedula_docente ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="carga_familiar.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&cedula_docente=<?php echo $cedula_docente ?>">Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
global $cedula_docente;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="carga_familiar.php?cedula_docente=<?php echo $cedula_docente; ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="form1" id="form1" enctype="multipart/form-data" action="carga_familiar.php?cedula_docente=<?php echo $cedula_docente ?>" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "cedula" => "",
  "apellidos" => "",
  "nombres" => "",
  "parentesco" => "",
  "genero" => "",
  "fecha_nac" => "",
  "edad" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
global $cedula_docente;


  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
global $cedula_docente;
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form name="form1" id="form1" enctype="multipart/form-data" action="carga_familiar.php?cedula_docente=<?php echo $cedula_docente ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xapellidos" value="<?php echo $row["apellidos"] ?>">
<input type="hidden" name="xnombres" value="<?php echo $row["nombres"] ?>">
<input type="hidden" name="xparentesco" value="<?php echo $row["parentesco"] ?>">
<input type="hidden" name="xgenero" value="<?php echo $row["genero"] ?>">
<input type="hidden" name="xfecha_nac" value="<?php echo $row["fecha_nac"] ?>">
<input type="hidden" name="xedad" value="<?php echo $row["edad"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="carga_familiar.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<input type="hidden" name="xapellidos" value="<?php echo $row["apellidos"] ?>">
<input type="hidden" name="xnombres" value="<?php echo $row["nombres"] ?>">
<input type="hidden" name="xparentesco" value="<?php echo $row["parentesco"] ?>">
<input type="hidden" name="xgenero" value="<?php echo $row["genero"] ?>">
<input type="hidden" name="xfecha_nac" value="<?php echo $row["fecha_nac"] ?>">
<input type="hidden" name="xedad" value="<?php echo $row["edad"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_docente;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `id_docente`,  `cedula`, `apellidos`, `nombres`, `parentesco`, `genero`, `fecha_nac`, `edad` FROM `carga_familiar` where id_docente='$id_docente'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_docente` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`parentesco` like '" .$filterstr ."') or (`genero` like '" .$filterstr ."') or (`fecha_nac` like '" .$filterstr ."') or (`edad` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $id_docente;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `carga_familiar` where id_docente='$id_docente'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_docente` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`parentesco` like '" .$filterstr ."') or (`genero` like '" .$filterstr ."') or (`fecha_nac` like '" .$filterstr ."') or (`edad` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $id_docente;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  $fecha_nac=join ("-",(array_reverse(explode("-",@$_POST["fecha_nac"]))));
   $edad=edad($fecha_nac);

  $sql = "insert into `carga_familiar` (`id_docente`,`cedula`, `apellidos`, `nombres`, `parentesco`, `genero`, `fecha_nac`, `edad`) values ('$id_docente', " .sqlvalue(@$_POST["cedula"], true).", " .sqlvalue(@$_POST["apellidos"], true).", " .sqlvalue(@$_POST["nombres"], true).", " .sqlvalue(@$_POST["parentesco"], true).", " .sqlvalue(@$_POST["genero"], true).", '$fecha_nac', '$edad')";
  mysql_query($sql, $conn) or die(mysql_error());
  
  // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar Carga Familiar";
  $script="carga_familiar.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());

}

function sql_update()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
   $fecha_nac=join ("-",(array_reverse(explode("-",@$_POST["fecha_nac"]))));
   $edad=edad($fecha_nac);
   
  $sql = "update `carga_familiar` set `cedula`=" .sqlvalue(@$_POST["cedula"], true).", `apellidos`=" .sqlvalue(@$_POST["apellidos"], true).", `nombres`=" .sqlvalue(@$_POST["nombres"], true).", `parentesco`=" .sqlvalue(@$_POST["parentesco"], true).", `genero`=" .sqlvalue(@$_POST["genero"], true).", `fecha_nac`='$fecha_nac', `edad`='$edad' where " .primarykeycondition();

  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificación de Carga Familiar";
  $script="carga_familiar.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;

  $sql = "delete from `carga_familiar` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Eliminación de Carga Familiar";
  $script="carga_familiar.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_docente`";
  if (@$_POST["xid_docente"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_docente"], false);
  };
  $pk .= ") and ";
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ")";
  return $pk;
}

// Calcula la edad (formato: año-mes-dia)
function edad($fecha_nac){
	list($Y,$m,$d) = explode("-",$fecha_nac);
    return( date("md") < $m.$d ? date("Y")-$Y-1 : date("Y")-$Y );

}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  

  }

 ?>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no válido");
		   document.addAlumno.fecha_nac.focus();
           return false;
	    }
	
        switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.addAlumno.fecha_nac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.addAlumno.fecha_nac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	


